Skip to main content
PATCH
Assign Conversation

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

chat_id
string
required

Chat ID

Body

Schema for assigning or unassigning a conversation to/from an agent

member_id
string | null
required

Member ID to assign. Set to null to unassign.

Response

200 - application/json

Schema for the chat state

id
string
required
state
enum<string>
required

The state status of the chat

Available options:
OPEN,
SNOOZED,
CLOSED
integration_id
enum<string>
required

ID of the connection integration

Available options:
internal,
org,
custom,
whatsapp_bot,
messenger_bot,
instagram_dm,
tiktok_dm,
telegram_bot,
gmail,
slack_bot,
twilio,
telnyx,
email
assistant_id
string | null
required

The ID of the assistant used in the chat

assistant_integration_id
string | null
required

The ID of the assistant integration used in the chat

conversation_id
string
required

The ID of the conversation associated with the chat

ai_enabled
boolean
required

Whether AI is enabled for the chat

admin_unseen_count
number
required

The number of unseen messages in the chat

user_unseen_count
number
required

The number of unseen messages in the chat

assistant
object

Schema for a public assistant

assistant_integration
object

Schema for a public assistant integration

assigned_user
object

The assigned user for the conversation

assigned_at
string<date-time> | null
assistant_config
object

Schema for the configuration of an assistant

follow_up_at
string<date-time> | null

Scheduled follow-up datetime

muted_until
string<date-time> | null

Mute expiry datetime (null = not muted)

csat_score
integer | null

Customer satisfaction score (1-5)

Required range: 1 <= x <= 5
last_contact_message_at
string<date-time> | null